[Rear-users] SF.net SVN: rear:[534] trunk/usr/sbin/rear

dag- at users.sourceforge.net dag- at users.sourceforge.net
Thu Jun 2 01:37:00 CEST 2011


Revision: 534
          http://rear.svn.sourceforge.net/rear/?rev=534&view=rev
Author:   dag-
Date:     2011-06-01 23:37:00 +0000 (Wed, 01 Jun 2011)

Log Message:
-----------
Make the error output more consistent with other errors.

Modified Paths:
--------------
    trunk/usr/sbin/rear

Modified: trunk/usr/sbin/rear
===================================================================
--- trunk/usr/sbin/rear	2011-06-01 23:06:05 UTC (rev 533)
+++ trunk/usr/sbin/rear	2011-06-01 23:37:00 UTC (rev 534)
@@ -103,7 +103,7 @@
 
 # are we root ?
 if [ $(id --user) -ne 0 ]; then
-	echo  "** ERROR **	$PRODUCT needs ROOT privileges!"
+	echo "ERROR: $PRODUCT needs ROOT privileges!" >&2
 	exit 1
 fi
 
@@ -111,14 +111,14 @@
 SCRIPT_FILE="$(readlink -f $(type -p "$0" || echo "$0"))"
 
 if ! type -p pidof >/dev/null ; then
-	echo 1>&2 "** ERROR **        Required program 'pidof' missing, please check your PATH"
+	echo "ERROR: Required program 'pidof' missing, please check your PATH" >&2
 	exit 1
 fi
 
 # do not run if another instance is running. pidof -x will always report at least $$
 if [ $$ != "$(pidof -x "$SCRIPT_FILE")" ] ; then
-        echo 1>&2 "** ERROR **        $SCRIPT_FILE is already running, not starting again"
-        exit 1
+	echo "ERROR: $SCRIPT_FILE is already running, not starting again" >&2
+	exit 1
 fi
 
 # set some bash options


This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.




More information about the rear-users mailing list